com.h3c.util.filter

## Enum IntervalCondition.Mode

- java.lang.Object
- - java.lang.Enum<IntervalCondition.Mode>
  - - com.h3c.util.filter.IntervalCondition.Mode

- All Implemented Interfaces:
    Serializable, Comparable<IntervalCondition.Mode>
  Enclosing class:
    IntervalCondition<D extends Comparable<D>>

      public static enum IntervalCondition.Mode
      extends Enum<IntervalCondition.Mode>

  Condition mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IN` Elements that are in to the specified values are selected by the condition.
    `NOT_IN` Elements that are not in the specified values are selected by the condition.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IntervalCondition.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IntervalCondition.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IN

          public static final IntervalCondition.Mode IN

      Elements that are in to the specified values are selected by the condition.

    - #### NOT_IN

          public static final IntervalCondition.Mode NOT_IN

      Elements that are not in the specified values are selected by the condition.

  - ### Method Detail

    - #### values

          public static IntervalCondition.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IntervalCondition.Mode c : IntervalCondition.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IntervalCondition.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.